<?php

/**
 *
 * MemberMouse(TM) (http://www.membermouse.com)
 * (c) MemberMouse, LLC. All rights reserved.
 */
abstract class MM_AdvancedReportBase extends MM_ReportBase
{
    public function __construct($autoEnqueueDependencies = true)
    {
        if (MM_MemberMouseService::hasPermission(MM_MemberMouseService::$FEATURE_REPORTING_SUITE) != MM_MemberMouseService::$ACTIVE) {
            // exit if current MemberMouse license doesn't have access to the reporting suite
            exit;
        }

        parent::__construct($autoEnqueueDependencies);
    }
}
