<?php
$api = new MM_Api($p->id);
$statusList = $api->getStatusList();
?>
<div id="mm-form-container">
    <input type='hidden' id='mm-id' value='<?php echo $api->getId(); ?>' />
    <table cellspacing="10">
        <tr>
            <td>
                <?php _e("Name", "membermouse"); ?>
            </td>
            <td>
                <input type='text' id='mm-name' class="medium-text" value='<?php echo $api->getName(); ?>' />
            </td>
        </tr>
        <tr>
            <td>
                <?php _e("Status", "membermouse"); ?>
            </td>
            <td>
                <div id="mm-status-container">
                    <input type="radio" id="mm-status-field" name="mm-status-field" value="active" onclick="mmjs.processForm()" <?php echo (($api->getStatus() == "1" || $api->getStatus() == "") ? "checked" : ""); ?> onchange="mmjs.setStatusField()" /> <?php _e("Active", "membermouse"); ?>
                    <input type="radio" id="mm-status-field" name="mm-status-field" value="inactive" onclick="mmjs.processForm()" <?php echo (($api->getStatus() == "0") ? "checked" : ""); ?> onchange="mmjs.setStatusField()" /> <?php _e("Inactive", "membermouse"); ?>
                    <input type='hidden' name='mm-status' id='mm-status' value='' />
                </div>
            </td>
        </tr>
        <tr>
            <td>
                <?php _e("API Key", "membermouse"); ?>
            </td>
            <td>
                <input type='text' id='mm-api-key' value='<?php echo $api->getApiKey(); ?>' /> <a href="#" onclick="mmjs.generateKey('mm-api-key')"><?php _e("Generate", "membermouse"); ?></a>
            </td>
        </tr>
        <tr>
            <td>
                <?php _e("API Password", "membermouse"); ?>
            </td>
            <td>
                <input type='text' id='mm-api-secret' value='<?php echo $api->getApiSecret(); ?>' /> <a href="#" onclick="mmjs.generateKey('mm-api-secret')"><?php _e("Generate", "membermouse"); ?></a>
            </td>
        </tr>

    </table>
</div>

<div class="mm-dialog-footer-container">
    <div class="mm-dialog-button-container">
        <a href="javascript:mmjs.save();" class="mm-ui-button blue"><?php _e("Save API Credentials", "membermouse"); ?></a>
        <a href="javascript:mmjs.closeDialog();" class="mm-ui-button"><?php _e("Cancel", "membermouse"); ?></a>
    </div>
</div>