<?php

/**
 * 
 * MemberMouse(TM) (http://www.membermouse.com)
 * (c) MemberMouse, LLC. All rights reserved.
 */

// check if Limit Login Attempts plugin is active
$plugins = get_option('active_plugins');
$required_plugin = "limit-login-attempts/limit-login-attempts.php";
$pluginActive = false;

if (in_array($required_plugin, $plugins)) {
    $pluginActive = true;
}
?>
<div style="width: 600px; margin-top: 8px;" class="mm-divider"></div>
<div class="mm-wrap">
    <p class="mm-header-text"><?php _e("Limit Login Attempts", "membermouse"); ?></p>

    <div style="margin-top:10px;">
        <p><?php printf(__("MemberMouse integrates with a popular plugin for %slimiting login attempts%s written by %sJohan Eenfeldt%s.", "membermouse"), '<a href="http://wordpress.org/plugins/limit-login-attempts/" target="_blank">', '</a>', '<a href="http://devel.kostdoktorn.se/" target="_blank">', '</a>'); ?></p>

        <?php if ($pluginActive) { ?>
            <p>
                <?php echo MM_Utils::getCheckIcon(); ?> <strong><?php _e("Plugin activated", "membermouse"); ?></strong>
            </p>
        <?php } else { ?>
            <p>
                <a href="<?php echo esc_url(network_admin_url('plugin-install.php?tab=plugin-information&plugin=limit-login-attempts&TB_iframe=true&width=650&height=600')); ?>" class="mm-ui-button green thickbox"><?php _e("Install Plugin", "membermouse"); ?></a>
                <a href="<?php echo esc_url(network_admin_url('plugin-install.php?tab=plugin-information&plugin=limit-login-attempts&TB_iframe=true&width=650&height=600')); ?>" class="mm-ui-button thickbox"><?php _e("Learn more", "membermouse"); ?></a>
            </p>
        <?php } ?>
    </div>
</div>