<?php

/**
 *
 * MemberMouse(TM) (http://www.membermouse.com)
 * (c) MemberMouse, LLC. All rights reserved.
 */

if (isset($_POST["mm_scheduled_billing_setting"])) {
    $mmScheduledBillingEnabled = (isset($_POST['mm_scheduled_billing_enabled']) && ($_POST['mm_scheduled_billing_enabled'] == "true"));
    if ($mmScheduledBillingEnabled) {
        MM_LocalBillingEngine::enableBilling();
    } else {
        MM_LocalBillingEngine::disableBilling();
    }
} else {
    $mmScheduledBillingEnabled = MM_LocalBillingEngine::isBillingEnabled();
}
?>
<div style="width: 600px; margin-top: 8px;" class="mm-divider"></div>
<div class="mm-wrap">
    <p class="mm-header-text"><?php _e("Local Billing Scheduler Settings", "membermouse"); ?></p>
    <div style='margin-top: 10px;'>
        <input type='hidden' name='mm_scheduled_billing_setting' value='true' />
        <input name="mm_scheduled_billing_enabled" value='true' type="checkbox" <?php echo $mmScheduledBillingEnabled ? "checked" : ""; ?> />
        <?php _e("Enable rebilling via the local scheduler", "membermouse"); ?>
    </div>
</div>