<script>
    function showDescription(id) {
        jQuery("#" + id).show();

        if (id == "mm-churn-description") {
            jQuery("#" + id).dialog({
                autoOpen: true,
                width: "575",
                height: "480",
                modal: true
            });
        } else {
            jQuery("#" + id).dialog({
                autoOpen: true,
                width: "575",
                height: "300",
                modal: true
            });
        }
    }
</script>

<?php
$hasAdvancedReporting = (MM_MemberMouseService::hasPermission(MM_MemberMouseService::$FEATURE_REPORTING_SUITE) == MM_MemberMouseService::$ACTIVE) ? true : false;
$crntPage = MM_ModuleUtils::getPage();

if ($hasAdvancedReporting) {

    if ($crntPage != MM_MODULE_REPORTING) {
?>
        <a class="mm-ui-button" onclick="showDescription('mm-report-description')" style='position: absolute; right: 150px; top: -4px;'><?php _e("About", "membermouse"); ?></a>
    <?php } else { ?>
        <a class="mm-ui-button" href="https://membermouse.com/docs/how-to-use-reporting" target="_blank" style="position: absolute; right: 150px; top: -4px;"><?php _e("How to Use Reporting", "membermouse"); ?></a>
    <?php } ?>



    <!-- .reporting-dropdown-nav-->
    <ul class="mm-reporting-dropdown-nav">
        <li class="nav-title"><a href="<?php echo admin_url('admin.php?page=reporting'); ?>"><i class="fa fa-list"></i> <?php _e("Reports", "membermouse"); ?> <i class="fa fa-caret-down"></i></a>
            <ul>
                <li><a href="<?php echo admin_url('admin.php?page=reporting'); ?>"><?php _e("Dashboard", "membermouse"); ?></a></li>
                <li><a href="<?php echo admin_url('admin.php?page=new_members_report'); ?>"><?php _e("Member Count", "membermouse"); ?></a></li>
                <li><a href="<?php echo admin_url('admin.php?page=sales_by_membership_report'); ?>"><?php _e("Membership Sales", "membermouse"); ?></a></li>
                <li><a href="<?php echo admin_url('admin.php?page=sales_by_product_report'); ?>"><?php _e("Product Sales", "membermouse"); ?></a></li>
                <li><a href="<?php echo admin_url('admin.php?page=customer_value_report'); ?>"><?php _e("Customer Value", "membermouse"); ?></a></li>
                <li><a href="<?php echo admin_url('admin.php?page=simple_average_report'); ?>"><?php _e("Quick Average", "membermouse"); ?></a></li>
                <li><a href="<?php echo admin_url('admin.php?page=new_members_comparison_report'); ?>"><?php _e("Compare Levels", "membermouse"); ?></a></li>
                <li><a href="<?php echo admin_url('admin.php?page=sales_by_payment_service_report'); ?>"><?php _e("Payment Service", "membermouse"); ?></a></li>
                <li><a href="<?php echo admin_url('admin.php?page=total_value_report'); ?>"><?php _e("Channel Sales", "membermouse"); ?></a></li>
                <li></li>
                <li><a style="cursor:pointer;" onClick="mmjs.clearDataCache();"><?php _e("Clear Data Cache", "membermouse"); ?></a></li>
            </ul>
        </li>
    </ul>
    <!--/.reporting-dropdown-nav-->
    <?php } else {
    $advancedReportingUrl = MM_ModuleUtils::getUrl(MM_MODULE_GET_REPORTING);
    if ($crntPage == MM_MODULE_REPORTING) { ?>
        <a class="mm-ui-button" href="https://membermouse.com/docs/how-to-use-reporting" target="_blank" style="position: absolute; right: 250px; top: 0px;"><?php _e("How to Use Reporting", "membermouse"); ?></a>
    <?php } ?>
    <a href="<?php echo $advancedReportingUrl; ?>" class="mm-report-upgrade-link"><?php _e("Upgrade to Advanced Reporting", "membermouse"); ?></a>
<?php } ?>