<?php
$report = new MM_SalesByPaymentServiceReport();
$startDate = date("m/d/Y", strtotime("-3 months"));
$endDate = date("m/d/Y");
?>
<!---------- Report Injection ---------->
<div class="mm-report-container">
    <h2 class="mm-dashboard-title"><?php _e("Sales By Payment Service", "membermouse"); ?></h2>

    <?php include("dropdown_nav_menu.php"); ?>


    <div class="mm-graph-container">
        <form novalidate="">
            <div id="mm-form-container" class="mm-report-params">

                <div class="mm-report-filter">
                    <div class="mm-report-filter-set">
                        <label><?php _e("Start Date", "membermouse"); ?>:</label>
                        <input type="text" id="start_date" name="start_date" class="mm-reporting-datepicker" value="<?php echo $startDate; ?>" placeholder="mm/dd/yyyy" />
                        <a onClick="jQuery('#start_date').focus();"><i class="fa fa-calendar"></i></a>
                    </div>
                    <!--/.mm-report-filter-set-->
                    <div class="mm-report-filter-set">
                        <label><?php _e("End Date", "membermouse"); ?>:</label>
                        <input type="text" id="end_date" name="end_date" class="mm-reporting-datepicker" value="<?php echo $endDate; ?>" placeholder="mm/dd/yyyy" />
                        <a onClick="jQuery('#end_date').focus();"><i class="fa fa-calendar"></i></a>
                    </div>
                    <!--/.mm-report-filter-set-->
                    <div class="mm-report-filter-set">
                        <label><?php _e("Display", "membermouse"); ?>:</label>
                        <select name="filter_type">
                            <option value="both"><?php _e("Both Initial Sales and Rebills", "membermouse"); ?></option>
                            <option value="initial"><?php _e("Initial Sales Only", "membermouse"); ?></option>
                            <option value="rebills"><?php _e("Rebills Only", "membermouse"); ?></option>
                        </select>
                    </div>
                    <!--/.mm-report-filter-set-->
                    <div class="mm-report-filter-set">
                        <input class="mm-report-submitter" type="submit" value="<?php _e("Generate Report", "membermouse"); ?>" />
                        <input class="mm-report-reset" type="reset" value="<?php _e("Reset Form", "membermouse"); ?>" />
                    </div>
                    <!--/.mm-report-filter-set-->
                </div>
                <!--/.mm-report-filter-->

            </div>
        </form>

        <div id="rendered_report">

            <!-- /#customer_value_report_datagrid-->
            <?php echo $report->createVisualElement(MM_SalesByPaymentServiceReport::$SALES_BY_PAYMENT_SERVICE_REPORT_DATAGRID, array("start_date" => $startDate, "end_date" => $endDate, "filter_type" => "both"), "100%", "100%"); ?>
            <div class="clear"></div>
        </div>
        <!--/#rendered_report-->
    </div>
    <!--/.mm-graph-container-->

</div>
<!--/.mm-report-container-->

<div id="mm-report-description" style="display:none;" title="<?php _e("Report Description", "membermouse"); ?>" style="font-size:11px;">
    <?php
    _e(
        "The Payment Service report allows you to see how much revenue is being generated by each payment service currently being " .
            "utilized on your MemberMouse site.",
        "membermouse"
    );
    ?>
</div>