<?php
$productsExist = false;
if (isset($p->clickbank_products) && is_array($p->clickbank_products) && (count($p->clickbank_products) > 0)) {
    $productsExist = true;
    $membermouseProducts = array();
    $membermouseProducts['none'] = "(none)";
    if (isset($p->membermouse_products) && is_array($p->membermouse_products)) {
        foreach ($p->membermouse_products as $productId => $productObj) {
            $productPrice = number_format($productObj->price, 2, '.', '');
            $membermouseProducts[$productId] = "[ID: {$productObj->id}] {$productObj->name} (\${$productPrice})";
        }
    }
}

$skuName = "@sku";
?>
<style>
    .loadmore {
        text-decoration: underline;
        font-size: 11px;
        color: #0073aa;
        transition-property: border, background, color;
        transition-duration: .05s;
        transition-timing-function: ease-in-out;
        cursor: pointer;
    }
</style>
<p>
    <?php printf(__('%1$s of %2$s products showing', 'membermouse'), count($p->clickbank_products), $p->clickbank_total_records); ?>

</p>
<div id="mm-clickbank-configure-products-container">
    <?php
    if ($productsExist) { ?>
        <table id="mm-clickbank-configure-products-table" class="widefat">
            <thead>
                <tr>
                    <th><?php _e("ClickBank Product", "membermouse"); ?></th>
                    <th>&nbsp;</th>
                    <th><?php _e("MemberMouse Product", "membermouse"); ?></th>
                </tr>
            </thead>
            <?php foreach ($p->clickbank_products as $cbp) { ?>
                <tr>
                    <td width="200">
                        <?php _e("ID", "membermouse"); ?>: <?php echo $cbp->$skuName; ?><br />
                        <?php _e("Title", "membermouse"); ?>: <?php echo $cbp->title; ?>
                    </td>
                    <td>&nbsp;</td>
                    <td>
                        <select name='clickbank_product_mapping[<?php echo $cbp->$skuName; ?>]'>
                            <?php echo MM_HtmlUtils::generateSelectionsList($membermouseProducts, $cbp->mapped ? $cbp->membermouse_product_id : null); ?>
                        </select>
                    </td>
                </tr>
            <?php } ?>
        </table>
        <?php if ($p->clickbank_next_page > 0) { ?>
            <a class="loadmore" onclick="loadMoreProducts(<?php echo $p->clickbank_next_page; ?>);"><?php printf(__('Load %s more products', 'membermouse'), $p->clickbank_total_records_diff); ?></a>
        <?php } ?>
        <?php if ($p->clickbank_prev_page > 0) { ?>
            <a class="loadmore" onclick="loadMoreProducts(<?php echo $p->clickbank_prev_page; ?>);"><?php printf(__('Load %s previous products', 'membermouse'), $p->clickbank_total_records_max); ?></a>
    <?php }
    } else {
        _e("There are no products configured in ClickBank.", "membermouse");
    }
    ?>
</div>

<div class="mm-dialog-footer-container">
    <div class="mm-dialog-button-container">
        <a onClick="saveClickbankProductMappings()" class="mm-ui-button blue"><?php _e("Save Product Mappings", "membermouse"); ?></a>
        <a onClick="jQuery('#clickbank-configure-products-dialog').dialog('close');" class="mm-ui-button"><?php _e("Cancel", "membermouse"); ?></a>
    </div>
</div>