<?php include_once('../../../bootstrap/barebones.php'); ?>

<h2>[MM_Access_Decision]</h2>

<a onclick="stl_js.insertContent('[MM_Access_Decision access=\'\'][/MM_Access_Decision]');" class="mm-ui-button blue"><?php _e("Insert SmartTag", "membermouse"); ?></a>
<?php $docUrl = "https://membermouse.com/docs/access-decision-smarttag-mm_access_decision"; ?>
<a href="<?php echo $docUrl; ?>" target="_blank" class="mm-ui-button"><?php _e("View Documentation", "membermouse"); ?></a>

<p>
    <?php _e("This tag is used to show or hide content based on the currently logged in member's access rights to a particular page/post. MemberMouse's default content protection scheme is to hard-block pages that are protected. This means that if a non-member tries to view a protected page, they'll be redirected to an error page.", "membermouse"); ?>
    <?php printf(__('%1$s tags provide you with an opportunity to expose portions of protected content based on the visitor\'s access rights. Within a single page, you could have teaser content for non-members and protected content for paying members. By using the %2$s tag with different access types you can tailor the visitor\'s experience on the page.', 'membermouse'), '<code>[MM_Access_Decision]</code>', '<code>[MM_Access_Decision]</code>'); ?>
</p>

<p>
    <strong><?php _e("IMPORTANT NOTE:", "membermouse"); ?></strong>
    <?php printf(__('As soon as you use %1$s or %2$s on a page or post, you\'re instructing MemberMouse to bypass the standard hard-block protection mechanism.', 'membermouse'), "<code>[MM_Access_Decision access='false']</code>", "<code>[MM_Access_Decision access='future']</code>"); ?>
    <?php _e("This means that as soon as you use one of these tags, any content outside of the Access Decision SmartTags will be visible to anyone who views the page.", "membermouse"); ?>
</p>

<p>
    <?php printf(__('For example, when you use the %1$s tag on a page, you\'re instructing MemberMouse to allow everyone to access that page and that you\'ll control what they can see by placing content within the appropriate %2$s tag. ', 'membermouse'), "<code>[MM_Access_Decision access='false']</code>", "<code>[MM_Access_Decision access='']</code>"); ?>
    <?php printf(__('Placing content outside of the %s tag gives you an opportunity to insert content that everyone should see while only entering it once, but just be aware that it will not be protected and everyone can see it.', 'membermouse'), "<code>[MM_Access_Decision access='']</code>"); ?>
</p>