<?php

/**
 * Thrown when attempting to use a resource that is not implemented.
 *
 * @uses MM_AWeberException
 * @package
 * @version $id$
 */
class MM_AWeberResourceNotImplemented extends MM_AWeberException
{

    public function __construct($object, $value)
    {
        $this->object = $object;
        $this->value = $value;
        parent::__construct("Resource \"{$value}\" is not implemented on this resource.");
    }
}
