<?php

/**
 *
 * MemberMouse(TM) (http://www.membermouse.com)
 * (c) MemberMouse, LLC. All rights reserved.
 */
class MM_ReportColumnChart extends MM_ReportBarChart
{
    public function __construct($container = "", $directives = "")
    {
        $this->orientation = self::$VERTICAL_ORIENTATION;
        parent::__construct($container, $directives);
    }


    public static function createFromTopResults($elementIdentifier, $categoryField, $valueField, $numRecords, MM_ReportResponse $resultObject, $directives = array())
    {
        if (!MM_ReportResponse::isSuccess($resultObject)) {
            return null;
        }
        $column = new MM_ReportColumnChart($elementIdentifier, $directives);

        //create and configure the data model
        $model = MM_ReportCategoryValueModel::createFromTopResults($resultObject->message, $categoryField, $valueField, $numRecords);
        $column->setModel($model);
        return $column;
    }
}
