<?php

/**
 *
 * MemberMouse(TM) (http://www.membermouse.com)
 * (c) MemberMouse, LLC. All rights reserved.
 */
class MM_ReportResponse extends MM_Response
{
    public static $NOT_READY = "not_ready";
    public static $NO_DATA = "no_data";

    public static function isNotReady($response)
    {
        if (($response instanceof MM_ReportResponse) && ($response->type == MM_ReportResponse::$NOT_READY)) {
            return true;
        }

        return false;
    }


    public static function hasNoData($response)
    {
        if (($response instanceof MM_ReportResponse) && ($response->type == MM_ReportResponse::$NO_DATA)) {
            return true;
        }

        return false;
    }
}
