<?php

/**
 *
 * MemberMouse(TM) (http://www.membermouse.com)
 * (c) MemberMouse, LLC. All rights reserved.
 *
 */

class MM_GrowthTools
{
    /**
     * Bootstrap growth tools package
     */
    public static function init()
    {
        if (class_exists('\MemberMouse\Caseproof\GrowthTools\App')) {
            add_action('admin_enqueue_scripts', function () {
                $screen = get_current_screen();
                if ($screen->id == 'membermouse_page_membermouse-growth-tools') {
                    wp_enqueue_style('membermouse-main', MM_RESOURCES_URL . 'css/common/mm-main.css');
                }
            });
            $config = new \MemberMouse\Caseproof\GrowthTools\Config([
                'parentMenuSlug' => MM_MODULE_DASHBOARD,
                'instanceId' => 'membermouse',
                'menuSlug' => 'membermouse-growth-tools',
                'buttonCSSClasses' => ['mm-ui-button', 'blue'],
            ]);
            new \MemberMouse\Caseproof\GrowthTools\App($config);
        }
    }
}
