<?php
if (isset($_POST["mm_checkout_paid_message"])) {
    $checkoutPaidMessage = $_POST["mm_checkout_paid_message"];
    $checkoutFreeMessage = $_POST["mm_checkout_free_message"];
    $checkoutMessageCSS = $_POST["mm_checkout_message_css"];

    MM_OptionUtils::setOption(MM_OptionUtils::$OPTION_KEY_CHECKOUT_PAID_MESSAGE, trim($checkoutPaidMessage));
    MM_OptionUtils::setOption(MM_OptionUtils::$OPTION_KEY_CHECKOUT_FREE_MESSAGE, trim($checkoutFreeMessage));
    MM_OptionUtils::setOption(MM_OptionUtils::$OPTION_KEY_CHECKOUT_MESSAGE_CSS, trim($checkoutMessageCSS));
}

$checkoutPaidMessage = MM_OptionUtils::getOption(MM_OptionUtils::$OPTION_KEY_CHECKOUT_PAID_MESSAGE);
$checkoutFreeMessage = MM_OptionUtils::getOption(MM_OptionUtils::$OPTION_KEY_CHECKOUT_FREE_MESSAGE);
$checkoutMessageCSS = MM_OptionUtils::getOption(MM_OptionUtils::$OPTION_KEY_CHECKOUT_MESSAGE_CSS);
?>
<script>
    function updatePreviewButton() {
        jQuery("#mm-save-changes").show();
    }
</script>
<div class="mm-wrap">
    <p class="mm-header-text"><?php _e("Checkout Processing Message", "membermouse"); ?> <span style="font-size:12px;"><a href="https://membermouse.com/docs/customize-the-checkout-page-processing-message" target="_blank"><?php _e("Learn more", "membermouse"); ?></a></span></p>
    <table style="margin-bottom:10px;">
        <tr>
            <td width='110' style='vertical-align:top;'><?php _e("Paid Message", "membermouse"); ?><?php echo MM_Utils::getInfoIcon(__("This is the message that will be displayed to customers when a payment is being processed.", "membermouse")); ?></td>
            <td>
                <span style="font-family: courier; font-size: 11px;">
                    <textarea id='mm_checkout_paid_message' name='mm_checkout_paid_message' style="width: 380px; height: 50px;" onkeydown="updatePreviewButton()"><?php echo $checkoutPaidMessage; ?></textarea>
                </span>
            </td>
        </tr>
        <tr>
            <td style='vertical-align:top;'><?php _e("Free Message", "membermouse"); ?><?php echo MM_Utils::getInfoIcon(__("This is the message that will be displayed to customers when they're signing up for a free account.", "membermouse")); ?></td>
            <td>
                <span style="font-family: courier; font-size: 11px;">
                    <textarea id='mm_checkout_free_message' name='mm_checkout_free_message' style="width: 380px; height: 50px;" onkeydown="updatePreviewButton()"><?php echo $checkoutFreeMessage; ?></textarea>
                </span>
            </td>
        </tr>
        <tr>
            <td><?php _e("CSS Class", "membermouse"); ?></td>
            <td>
                <span style="font-family: courier; font-size: 11px;">
                    <input type='text' id='mm_checkout_message_css' name='mm_checkout_message_css' value='<?php echo $checkoutMessageCSS; ?>' size="45" onkeydown="updatePreviewButton()" />
                </span>
            </td>
        </tr>
    </table>

    <div>
        <a id="mm-preview-button" target="_blank" href="<?php echo MM_CorePageEngine::getUrl(MM_CorePageType::$CHECKOUT, '') . "?mm-checkout-preview=true" ?>" class="mm-ui-button green"><?php _e("Preview", "membermouse"); ?></a>
        <span id="mm-save-changes" style="display:none; font-size:11px;"><em>*<?php _e("save settings before previewing changes", "membermouse"); ?></em></span>
    </div>
</div>