<?php

/**
 * 
 * MemberMouse(TM) (http://www.membermouse.com)
 * (c) MemberMouse, LLC. All rights reserved.
 */

if ($user && $user->isValid()) {

    $view = new MM_AppliedBundlesView();
    $view->setRenderForAdmin(true);
    $view->generateHeaders();

    $dataGrid = new MM_DataGrid(null, "access_type asc, name", "asc");
    $dataGrid->showPagingControls = false;
    $dataGrid->recordName = "bundle";

    $data = $view->getViewData($user->getId(), $dataGrid);
    $rows = $view->generateRows($data);

    $dataGrid->setHeaders($view->getHeaders());
    $dataGrid->setRows($rows);

    $dgHtml = $dataGrid->generateHtml();

    if ($dgHtml == "") {
        $dgHtml = "<p><em>" . __("No bundles applied", "membermouse") . "</em></p>";
    }
?>
    <div id="mm-grid-container">
        <?php echo $dgHtml; ?>
    </div>
    <div id='mm-edit-bundle-configuration-dialog'></div>
<?php } ?>