<?php

/**
 *
 * MemberMouse(TM) (http://www.membermouse.com)
 * (c) MemberMouse, LLC. All rights reserved.
 */

global $current_user;
$memberTypeId = $p->member_type_id;
$user = MM_User::getCurrentWPUser();
$userMemberType = new MM_MembershipLevel($user->getMembershipId());
$memberType = new MM_MembershipLevel($memberTypeId);

$costOfNewMemberType = "Free";
if (!$memberType->isFree()) {
    $product = new MM_Product($memberType->getDefaultProduct());
    $costOfNewMemberType = "\$" . $product->getPrice(true);
}

$refund = "N/A";
$refundFloat = 0;
$currentMembershipPrice = "Free";
if (!$userMemberType->isFree()) {
    $existingProduct = new MM_Product($userMemberType->getDefaultProduct());

    if ($existingProduct->isValid()) {
        $currentMembershipPrice = "\$" . $existingProduct->getPrice(true);
    }
}
?>
<input type='hidden' id='mm-member-type-id' value='<?php echo $memberTypeId; ?>' />
<table style='font-size: 14px;'>
    <tr>
        <td style='font-size: 14px;'>
            <?php printf(__('Are you sure you\'d like to change your membership level from %1$s to %2$s?', 'membermouse'), $user->getMembershipName(), $memberType->getName()); ?>
        </td>
    </tr>
    <tr>
        <td align='center'>
            <table border='0' style='width: 80%; font-size: 14px;'>
                <tr>
                    <td><?php _e("Current membership price", "membermouse"); ?></td>
                    <td><?php echo $currentMembershipPrice; ?></td>
                </tr>
                <?php if ($refundFloat > 0) { ?>
                    <tr>
                        <td><?php _e("Refund for current cycle", "membermouse"); ?></td>
                        <td><?php echo $refund; ?></td>
                    </tr>
                <?php } ?>
                <tr>
                    <td><?php _e("Charge today for new membership", "membermouse"); ?></td>
                    <td><?php echo $costOfNewMemberType; ?></td>
                </tr>
            </table>

        </td>
    </tr>
</table>