<?php

/**
 * 
 * MemberMouse(TM) (http://www.membermouse.com)
 * (c) MemberMouse, LLC. All rights reserved.
 */

if (isset($_POST["mm_smarttag_version"])) {
    MM_OptionUtils::setOption(MM_OptionUtils::$OPTION_KEY_SMARTTAG_VERSION, $_POST["mm_smarttag_version"]);
}

$smartTagVersion = MM_OptionUtils::getOption(MM_OptionUtils::$OPTION_KEY_SMARTTAG_VERSION);
?>

<div style="width: 600px; margin-top: 8px;" class="mm-divider"></div>

<div class="mm-wrap">
    <p class="mm-header-text"><?php _e("SmartTag Version", "membermouse"); ?> <span style="font-size:12px;"><a href="https://membermouse.com/docs/set-the-smarttag-version" target="_blank"><?php _e("Learn more", "membermouse"); ?></a></span></p>

    <div style="margin-top:10px;">
        <input name="mm_smarttag_version" value='2.1' type="radio" <?php echo (($smartTagVersion == "2.1") ? "checked" : ""); ?> />
        <?php _e("SmartTags", "membermouse"); ?> 2.1 (<em><?php _e("recommended", "membermouse"); ?></em>)

        <input name="mm_smarttag_version" value='2.0' type="radio" <?php echo (($smartTagVersion != "2.1") ? "checked" : ""); ?> style="margin-left:10px;" />
        <?php _e("SmartTags", "membermouse"); ?> 2.0
    </div>
</div>