<style>
    .mm-payment-service-box {
        margin-bottom: 5px;
    }
</style>

<div id="mm-test-data">
    <form action="<?php echo MM_Utils::constructPageUrl(); ?>" method="post">
        <?php
        $fieldInfo = array();
        $field = new stdClass();
        $field->fieldId = "mm_field_first_name";
        $field->fieldName = "firstname";
        $field->label = __("First Name", "membermouse");
        $fieldInfo[] = $field;

        $field = new stdClass();
        $field->fieldId = "mm_field_last_name";
        $field->fieldName = "lastname";
        $field->label = __("Last Name", "membermouse");
        $fieldInfo[] = $field;

        $field = new stdClass();
        $field->fieldId = "mm_field_email";
        $field->fieldName = "email";
        $field->label = __("Email", "membermouse");
        $fieldInfo[] = $field;

        $field = new stdClass();
        $field->fieldId = "mm_field_username";
        $field->fieldName = "username";
        $field->label = __("Username", "membermouse");
        $fieldInfo[] = $field;

        $field = new stdClass();
        $field->fieldId = "mm_field_password";
        $field->fieldName = "password";
        $field->label = __("Password", "membermouse");
        $fieldInfo[] = $field;

        $field = new stdClass();
        $field->fieldId = "mm_field_phone";
        $field->fieldName = "phone";
        $field->label = __("Phone", "membermouse");
        $fieldInfo[] = $field;

        $field = new stdClass();
        $field->fieldId = "mm_field_billing_address";
        $field->fieldName = "billingaddress";
        $field->label = __("Billing Address", "membermouse");
        $fieldInfo[] = $field;

        $field = new stdClass();
        $field->fieldId = "mm_field_billing_city";
        $field->fieldName = "billingcity";
        $field->label = __("Billing City", "membermouse");
        $fieldInfo[] = $field;

        $field = new stdClass();
        $field->fieldId = "mm_field_billing_state";
        $field->fieldName = "billingstate";
        $field->label = __("Billing State", "membermouse");
        $fieldInfo[] = $field;

        $field = new stdClass();
        $field->fieldId = "mm_field_billing_zip";
        $field->fieldName = "billingzipcode";
        $field->label = __("Billing Zip Code", "membermouse");
        $fieldInfo[] = $field;

        $field = new stdClass();
        $field->fieldId = "mm_field_billing_country";
        $field->fieldName = "billingcountry";
        $field->label = __("Billing Country", "membermouse");
        $fieldInfo[] = $field;

        $field = new stdClass();
        $field->fieldId = "mm_field_shipping_address";
        $field->fieldName = "shippingaddress";
        $field->label = __("Shipping Address", "membermouse");
        $fieldInfo[] = $field;

        $field = new stdClass();
        $field->fieldId = "mm_field_shipping_city";
        $field->fieldName = "shippingcity";
        $field->label = __("Shipping City", "membermouse");
        $fieldInfo[] = $field;

        $field = new stdClass();
        $field->fieldId = "mm_field_shipping_state";
        $field->fieldName = "shippingstate";
        $field->label = __("Shipping State", "membermouse");
        $fieldInfo[] = $field;

        $field = new stdClass();
        $field->fieldId = "mm_field_shipping_zip";
        $field->fieldName = "shippingzipcode";
        $field->label = __("Shipping Zip Code", "membermouse");
        $fieldInfo[] = $field;

        $field = new stdClass();
        $field->fieldId = "mm_field_shipping_country";
        $field->fieldName = "shippingcountry";
        $field->label = __("Shipping Country", "membermouse");
        $fieldInfo[] = $field;

        $field = new stdClass();
        $field->fieldId = "mm_field_cc_number";
        $field->fieldName = "ccnumber";
        $field->label = __("CC Number", "membermouse");
        $fieldInfo[] = $field;

        $field = new stdClass();
        $field->fieldId = "mm_field_cc_exp_month";
        $field->fieldName = "ccexpirationdate";
        $field->label = __("CC Exp. Date", "membermouse");
        $fieldInfo[] = $field;

        $field = new stdClass();
        $field->fieldId = "mm_field_cc_exp_year";
        $field->fieldName = "ccexpirationdate";
        $field->label = __("CC Exp. Date", "membermouse");
        $fieldInfo[] = $field;

        $field = new stdClass();
        $field->fieldId = "mm_field_cc_cvv";
        $field->fieldName = "ccsecuritycode";
        $field->label = __("CC Security Code", "membermouse");
        $fieldInfo[] = $field;

        if (isset($_POST["mm_use_test_data"])) {
            MM_OptionUtils::setOption(MM_OptionUtils::$OPTION_KEY_USE_CHECKOUT_FORM_TEST_DATA, $_POST["mm_use_test_data"]);

            if ($_POST["mm_use_test_data"] == "1") {
                // collect/store form information
                $data = array();

                foreach ($fieldInfo as $field) {
                    $data[$field->fieldId] = $_POST[$field->fieldId];
                }

                MM_TestDataUtils::saveCheckoutFormTestData($data);
            }
        }

        $useTestData = MM_OptionUtils::getOption(MM_OptionUtils::$OPTION_KEY_USE_CHECKOUT_FORM_TEST_DATA);
        $testData = MM_TestDataUtils::getCheckoutFormTestData();

        $form = new MM_TestDataForm();
        if (!isset($testData["mm_field_shipping_country"])) {
            $testData["mm_field_shipping_country"] = "";
        }
        $form->shippingCountryList = MM_HtmlUtils::getCountryList($testData["mm_field_shipping_country"]);

        if (!isset($testData["mm_field_billing_country"])) {
            $testData["mm_field_billing_country"] = "";
        }
        $form->billingCountryList = MM_HtmlUtils::getCountryList($testData["mm_field_billing_country"]);

        $ccExpDateRendered = false;

        echo $form->getJavascriptIncludes();
        ?>

        <p style="width:650px">
            <?php _e("By filling out the test data below you're instructing MemberMouse to prepopulate checkout forms with the data entered. This can be very helpful when you're doing testing as it means you don't have to manually type in data for each test.", "membermouse"); ?>
        </p>
        <p>
            <input id="mm_use_test_data_cb" type="checkbox" <?php echo (($useTestData == "1") ? "checked" : ""); ?> onchange="toggleTestDataForm();" />
            <?php _e("Use Test Data", "membermouse"); ?>
            <input id="mm_use_test_data" name="mm_use_test_data" type="hidden" value="<?php echo $useTestData; ?>" />
        </p>
        <div id="mm-test-data-form" class='mm-payment-service-box' style="display:none; margin-left: 10px; border: 1px solid #eee; background-color: #eee; width:625px; padding-left:10px;">
            <table>
                <?php
                foreach ($fieldInfo as $field) {
                    if (($field->fieldName != "ccexpirationdate") || ($field->fieldName == "ccexpirationdate" && !$ccExpDateRendered)) {
                ?>
                        <tr>
                            <td width="110"><?php echo $field->label; ?></td>
                            <td>
                                <span style="font-family:courier; font-size:11px; margin-top:5px;">
                                    <?php
                                    if (!isset($testData[$field->fieldId])) {
                                        $testData[$field->fieldId] = "";
                                    }

                                    echo MM_TestDataForm::generateInputFormField($field->fieldName, $testData, $form);

                                    if ($field->fieldName == "ccexpirationdate") {
                                        $ccExpDateRendered = true;
                                    } else if ($field->fieldName == "email") {
                                        echo MM_Utils::getInfoIcon(__("Click for more information", "membermouse"), "", "javascript:showEmailInfo();");
                                    } else if ($field->fieldName == "username") {
                                        echo MM_Utils::getInfoIcon(__("Enter the base username to use for test accounts. MemberMouse will automatically add a series of numbers to the end of the base username to ensure that it's unique.", "membermouse"), "");
                                    }
                                    ?>
                                </span>
                            </td>
                        </tr>
                <?php
                    }
                }
                ?>
            </table>
        </div>
        <p><input type='submit' name='submit' value='<?php _e("Save Test Data", "membermouse"); ?>' class="mm-ui-button blue" /></p>
    </form>
</div>

<div id="mm-email-test-data-info" style="display:none;" title="<?php _e("Test Email Creation", "membermouse"); ?>" style="font-size:11px;">
    <?php
    $testEmail = "<code>test" . MM_TestDataUtils::$UNIQUE_TEST_EMAIL_DELIMITER . "123@gmail.com</code>";
    $codedDeliminator = "<code>" . MM_TestDataUtils::$UNIQUE_TEST_EMAIL_DELIMITER . "</code>";
    ?>
    <p><?php printf(__('When creating accounts in MemberMouse, email addresses need to be unique so when you go to a checkout form, MemberMouse automatically modifies the test email you provide here to ensure it\'s unique. The result is that when you type in %1$s here, when you go to a checkout form something like %2$s will be populated in the email field.', 'membermouse'), '<code>test@gmail.com</code>', $testEmail); ?></p>
    <p class="mm-section-header"><?php _e("Using a Gmail Account: One Email Address, Unlimited Tests", "membermouse"); ?></p>
    <p>
        <?php printf(__('Another important part of testing is using a valid email address so you can receive and verify system-generated emails such as welcome emails. In order to accomplish this, when creating accounts MemberMouse replaces the %1$s in the email address with a %2$s.', 'membermouse'), $codedDeliminator, '<code>+</code>'); ?>
        <?php printf(__('When you use a valid Gmail account this allows you to have unlimited unique email addresses for testing without having to use more then one real email account to receive all the emails. This is because with Gmail, if you have a valid email address %1$s then sending emails to %2$s, %3$s, %4$s, etc will result in delivering the emails to your %1$s account.', 'membermouse'), '<code>test@gmail.com</code>', '<code>test+1@gmail.com</code>', '<code>test+2@gmail.com</code>', '<code>test+146@gmail.com</code>'); ?>
    </p>
    <p>
        <?php sprintf(__('NOTE: Usually MemberMouse uses a member\'s email as their username, but WordPress doesn\'t allow the %1$s character to be used in usernames. As a result, when you\'re using test data, MemberMouse will end up creating an account with a username of %2$s and an email of %3$s. MemberMouse will only automatically adjust email addresses like this when creating accounts when you\'ve elected to use test data.', 'membermouse'), '<code>+</code>', $testEmail, '<code>test+123@gmail.com</code>'); ?>
    </p>
</div>

<script>
    function toggleTestDataForm() {
        if (jQuery("#mm_use_test_data_cb").is(":checked")) {
            jQuery("#mm_use_test_data").val("1");
            jQuery("#mm-test-data-form").show();
        } else {
            jQuery("#mm_use_test_data").val("0");
            jQuery("#mm-test-data-form").hide();
        }
    }

    function showEmailInfo() {
        jQuery("#mm-email-test-data-info").show();
        jQuery("#mm-email-test-data-info").dialog({
            autoOpen: true,
            width: "650",
            height: "450",
            modal: true
        });
    }

    toggleTestDataForm();
</script>

<?php echo $form->getInitJavascript($testData); ?>

<?php if (isset($_POST["mm_use_test_data"])) { ?>
    <script>
        alert("<?php _e("Test data settings saved successfully", "membermouse"); ?>");
    </script>
<?php } ?>