<?php

/**
 *
 * MemberMouse(TM) (http://www.membermouse.com)
 * (c) MemberMouse, LLC. All rights reserved.
 */

$selectedProducts = isset($_REQUEST['mm-product-ids']) ? $_REQUEST['mm-product-ids'] : "";
$selectedCoupons = isset($_REQUEST['mm-coupon-ids']) ? $_REQUEST['mm-coupon-ids'] : "";

?>
<div id="mm-form-container" style="background-color: #EAF2FA; padding-top:2px; padding-left:8px; padding-bottom:8px;">
    <form id="manage-transactions-search-form" action="javascript:void(0);">
        <table>
            <tr>
                <!-- LEFT COLUMN -->
                <td valign="top" style="width:380px;">
                    <table cellspacing="5">
                        <tr>
                            <td><?php _e("From", "membermouse"); ?></td>
                            <td>
                                <input id="mm-from-date" type="date" size="25" placeholder="mm/dd/yyyy" />
                                <a role="button" class="datepicker-calendar" style="display:none" onClick="jQuery('#mm-from-date').focus();"><?php echo MM_Utils::getCalendarIcon(); ?></a>
                            </td>
                        </tr>
                        <tr>
                            <td><?php _e("To", "membermouse"); ?></td>
                            <td>
                                <input id="mm-to-date" type="date" size="25" placeholder="mm/dd/yyyy" />
                                <a role="button" class="datepicker-calendar" style="display:none" onClick="jQuery('#mm-to-date').focus();"><?php echo MM_Utils::getCalendarIcon(); ?></a>
                            </td>
                        </tr>
                        <tr>
                            <td><?php _e("Order #", "membermouse"); ?></td>
                            <td><input id="mm-order-number" type="text" size="25" /></td>
                        </tr>
                        <tr>
                            <td><?php _e("Member ID", "membermouse"); ?></td>
                            <td><input id="mm-member-id" type="text" size="25" /></td>
                        </tr>
                    </table>
                </td>

                <!-- CENTER COLUMN -->
                <td valign="top">
                    <table cellspacing="5" style="width:450px">
                        <tr>
                            <td><?php _e("First Name", "membermouse"); ?></td>
                            <td><input id="mm-first-name" type="text" size="25" /></td>
                        </tr>
                        <tr>
                            <td><?php _e("Last Name", "membermouse"); ?></td>
                            <td><input id="mm-last-name" type="text" size="25" /></td>
                        </tr>
                        <tr>
                            <td><?php _e("Email", "membermouse"); ?></td>
                            <td><input id="mm-email" type="text" size="25" /></td>
                        </tr>
                    </table>
                </td>

                <!-- RIGHT COLUMN -->
                <td valign="top">
                    <table cellspacing="5">
                        <tr>
                            <td><?php _e("Products", "membermouse"); ?></td>
                            <td>
                                <select id="mm-product-ids[]" multiple="multiple" style="width:300px;" size="8">
                                    <?php echo MM_HtmlUtils::getProducts($selectedProducts); ?>
                                </select>
                            </td>
                        </tr>
                        <!--  column 3 placeholder -->
                    </table>
                </td>
            </tr>
        </table>

        <input type="button" class="mm-ui-button blue" value="<?php _e("Search", "membermouse"); ?>" onclick="mmjs.processSearchForm();">
        <input type="button" class="mm-ui-button" value="<?php _e("Reset Form", "membermouse"); ?>" onclick="mmjs.resetForm();">
    </form>
</div>

<script type='text/javascript'>
    jQuery(document).ready(function() {
        var isDateSupported = () => {
            var input = document.createElement('input');
            input.setAttribute('type', 'date');
            input.setAttribute('value', 'a');
            return (input.value !== 'a'); //native date controls discard invalid date values, so we can use this to test for support
        };

        if (!isDateSupported()) {
            //fallback to jQueryUI
            jQuery("#mm-from-date").datepicker({
                dateFormat: "mm/dd/yy"
            });
            jQuery("#mm-to-date").datepicker({
                dateFormat: "mm/dd/yy"
            });
        } else if (!window.chrome) {
            //the chrome native control has a calendar icon inside of it, so only show the mm calendar icon if the browser is not chrome
            jQuery(".datepicker-calendar").show();
        }

        jQuery("#mm-form-container :input").keypress(function(e) {
            if (e.which == 13) {
                jQuery(this).blur();
                mmjs.processSearchForm();
            }
        });

    });
</script>