<?php
$scheduledPaymentEvent = new MM_ScheduledPaymentEvent(intval($p->scheduledPaymentId));

if ($scheduledPaymentEvent->isValid()) {
    $orderItem = new MM_OrderItem($scheduledPaymentEvent->getOrderItemId());
    $orderItemPrice = _mmf($orderItem->getRecurringAmount(), $orderItem->getCurrency());
    $crntRebillDate = MM_Utils::dateToLocal($scheduledPaymentEvent->getScheduledDate(), "m/d/Y");
?>
    <div id='mm-upcoming-payment-edit-div'>
        <input type='hidden' id='scheduledPaymentId' value='<?php echo $p->scheduledPaymentId; ?>' />
        <p><?php _e("Next Rebill Date", "membermouse"); ?></p>
        <p style="font-size:11px;">
            <input id="mm-next-rebill-date" type="text" style="width: 152px" value="<?php echo $crntRebillDate; ?>" />
            <a onClick="jQuery('#mm-next-rebill-date').focus();"><?php echo MM_Utils::getCalendarIcon(); ?></a>
        </p>
    </div>

    <div class="mm-dialog-footer-container">
        <div class="mm-dialog-button-container">
            <a href="javascript:mmjs.rebillSubscriptionNow('<?php echo $orderItemPrice; ?>');" class="mm-ui-button blue"><?php _e("Rebill Now", "membermouse"); ?></a>
            <a href="javascript:mmjs.saveNewPaymentDate(<?php echo $p->scheduledPaymentId; ?>);" class="mm-ui-button blue"><?php _e("Save", "membermouse"); ?></a>
            <a href="javascript:mmjs.closeDialog();" class="mm-ui-button"><?php _e("Cancel", "membermouse"); ?></a>
        </div>
    </div>
    <script type='text/javascript'>
        jQuery(document).ready(function() {
            jQuery("#mm-next-rebill-date").datepicker({
                dateFormat: "mm/dd/yy"
            });
        });
    </script>
<?php } else { ?>
    Scheduled payment event is invalid
<?php } ?>